<%response.expires=-1%>
<!--#include file="../inc/Secure.htm"-->
<!--#include file="../inc/conn.htm"-->
<%
LoginID=trim(session("LoginID"))
if LoginID="" then LoginID=0
UserName=GetTableValue ("tblUser","Name","ID",LoginID)
Department = GetTableValue ("tblUser","Department","ID",LoginID)

maxmessage=20
currentpage=request("page")
if currentpage="" then 
currentpage=1
end if

set rs=Server.CreateObject("ADODB.RecordSet")
sql="select ID,ClassID,Title,KeyWords,FromName,Times from tblBulletin where isRead=1 and (ToID="& LoginID &" or ToAll=1 or toDepartment="& Department &" ) Order by ID desc"

rs.pagesize=maxmessage
rs.open sql,oConn,1,1
totalpage=rs.pagecount
totalmessage=rs.recordcount
if totalmessage<>0 then
	rs.AbsolutePage=currentpage
	msgArr=rs.getrows(maxmessage)
end if

rs.close
%>
<HTML>
<HEAD>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<link rel="stylesheet" type="text/css" href="../CSS/main.css">
</HEAD>
<BODY BGCOLOR="#FFFFFF" leftmargin=20 topmargin=5>
<table border=0 width="100%">
<td><BR><a href="index.htm"><h2>未阅读过公告</h2></a></td>
<td ><BR><a href="NewBulletin.htm"><h2>我要签发公告</h2></a></td>
<td><BR><a href="myBulletin.htm"><h2>我发布的公告</h2></a></td></tr>
</table>

<%
response.write "您接收到的已阅读过的公告 共" & totalmessage & "条/" & totalpage & "页，每页"& maxmessage &"条"
if totalpage>0 then
	response.write "，第" & currentpage & "页　"
end if

if totalpage>1 then
	if currentpage>1 then%>
		<a href="<%=Request.ServerVariables("SCRIPT_NAME")%>?page=<%=currentpage-1%>">上页</a>　　
		<%
	end if

	if currentpage+1<=totalpage then%>
		<a href="<%=Request.ServerVariables("SCRIPT_NAME")%>?page=<%=currentpage+1%>">下页</a>
		<%
	end if
end if
%>
<table border=0 width="100%" bgcolor=#FFFFFF cellpadding=3>
<tr bgcolor=#eeeddb>
<td>分类</td>
<td>标题</td>
<td>主题词</td>
<td>发布人</td>
<td>发布时间</td>
</tr>
<%
if isempty(msgArr) then
	response.write "<tr><td colspan=7>暂时没有内容。</td></tr>"
else
for i = 0 to UBound(msgArr,2)
%>
	<tr>
		<td nowrap width=50><%=GetTableValue("tblBulletinClass","Name","ID",trim(msgArr(1,i)))%></td>
		<td><a href="Detail.htm?ID=<%=trim(msgArr(0,i))%>"><%=trim(msgArr(2,i))%></a></td>
		<td><a href="Detail.htm?ID=<%=trim(msgArr(0,i))%>"><%=trim(msgArr(3,i))%></a></td>
		<td nowrap width=80><%=trim(msgArr(4,i))%></td>
		<td nowrap width=120><%=trim(msgArr(5,i))%></td>	
	</tr>
<%
next
end if
%>

</table>


</BODY>
</HTML>
<%
Function GetTableValue(TableName,Field,ValueField,Value)
	if TableName<>"" and Value<>"" then
		Set RsTmp = Server.Createobject("Adodb.recordset")
		strSql = "Select "& Field &" from "& TableName &" where "& ValueField &"='"& Value &"'"
		Rstmp.open strSql,oConn,1,1
		If not Rstmp.eof then
			GetTableValue=trim(Rstmp(Field))
		else
			GetTableValue=""
		end if
		Rstmp.close
		'set RsTmp = Nothing
	else
		GetTableValue=""
	end if
End Function

%>
<!--#include file="../inc/conn_close.htm"-->
<script language=javascript>
function CheckDelete()
{
	return confirm("确实删除吗？");
}
</script>